//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/health.h                                                 $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:00 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Health powerup
// 

#ifndef __HEALTH_H__
#define __HEALTH_H__

#include "g_local.h"
#include "item.h"
#include "sentient.h"
#include "item.h"

class EXPORT_FROM_DLL Health : public Item
	{
	public:
      CLASS_PROTOTYPE( Health );

								Health();
		virtual void		PickupHealth( Event *ev );
	};

class EXPORT_FROM_DLL SmallHealth : public Health
	{
	public:
      CLASS_PROTOTYPE( SmallHealth );
								SmallHealth();
	};

class EXPORT_FROM_DLL LargeHealth : public Health
	{
	public:
      CLASS_PROTOTYPE( LargeHealth );
								LargeHealth();
	};

class EXPORT_FROM_DLL MegaHealth : public Health
	{
	public:
      CLASS_PROTOTYPE( MegaHealth );
								MegaHealth();
	};

class EXPORT_FROM_DLL Apple : public Health
	{
	public:
      CLASS_PROTOTYPE( Apple );
								Apple();
	};

class EXPORT_FROM_DLL Banana : public Health
	{
	public:
      CLASS_PROTOTYPE( Banana );
								Banana();
	};

class EXPORT_FROM_DLL Sandwich : public Health
	{
	public:
      CLASS_PROTOTYPE( Sandwich );
								Sandwich();
	};

class EXPORT_FROM_DLL Soda : public Health
	{
	public:
      CLASS_PROTOTYPE( Soda );
								Soda();
	};

#endif /* health.h */
