//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/stungun.h                                                $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:21 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Stungun weapon
// 

#ifndef __STUNGUN_H__
#define __STUNGUN_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "bullet.h"
#include "specialfx.h"

class EXPORT_FROM_DLL Stungun : public BulletWeapon {
public:
	CLASS_PROTOTYPE( Stungun );

	Stungun();
	virtual void Shoot( Event *ev );
	void TraceAttack(const Vector &start,const Vector &end,int damage,trace_t *trace,int numricochets,int kick,int dflags );
};


#endif /* stungun.h */
