//-----------------------------------------------------------------------------
//
//  $Logfile:: /Quake 2 Engine/Sin/code/ref_gl/gl_splatter.h                   $
// $Revision:: 3                                                               $
//   $Author:: Markd                                                           $
//     $Date:: 8/03/98 5:32p                                                   $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// $Log:: /Quake 2 Engine/Sin/code/ref_gl/gl_splatter.h                        $
// 
// 3     8/03/98 5:32p Markd
// Merged to 3.17
// 
// 2     6/30/98 4:39p Markd
// first time
// 
// 1     6/28/98 8:08p Markd
// 
// DESCRIPTION:
// Splatter Technology
//

#define MAX_FIND_SURFACES 32

typedef struct
   {
   msurface_t * surf;
   int s;
   int t;
   vec3_t point;
   } findsurface_t;

#define SPLATTER_SHIFT 0

void SPLATTER_ApplyDecal( vec3_t start, vec3_t dir, const char *decal, float scale, float roll );
void SPLATTER_SplatterWalls( vec3_t p, vec3_t dir, float r, float g, float b, float a, int radius );
