//-----------------------------------------------------------------------------
//
//  $Logfile:: /2015/fists.h                                                     $
// $Revision:: 1                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 5:20 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
// 
// DESCRIPTION:
// Mutant Hands
// 

#ifndef __FISTS_H__
#define __FISTS_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"

class EXPORT_FROM_DLL Fists : public Weapon {
public:
	float             strike_reach;
	float             strike_damage;
	int               meansofdeath;

	CLASS_PROTOTYPE( Fists );

	Fists();
	virtual void		Shoot( Event *ev );
	virtual void SecondaryUse(Event *ev); //###
	virtual void      Archive( Archiver &arc );
	virtual void      Unarchive( Archiver &arc );
};

#endif /* Fists.h */
