//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/deadbody.h                                               $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:10 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Dead body

#ifndef __DEADBODY_H__
#define __DEADBODY_H__

#include "g_local.h"
#include "sentient.h"

#define BODY_QUEUE_SIZE		4

EXPORT_FROM_DLL void InitializeBodyQueue( void );
EXPORT_FROM_DLL void CopyToBodyQueue( edict_t *ent );

class EXPORT_FROM_DLL Deadbody : public Sentient
	{
	public:
      CLASS_PROTOTYPE( Deadbody );
   
      virtual void   GibEvent( Event *ev );
	};

#endif /* deadbody.h */
