//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/genericrocket.h                                          $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:17 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Generic Rocket Launcher - to be used on monsters that have rocket launchers
// shown in their models

#ifndef __GENERIC_ROCKET_H__
#define __GENERIC_ROCKET_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "rocketlauncher.h"

class EXPORT_FROM_DLL GenericRocket : public RocketLauncher
	{
	public:
		CLASS_PROTOTYPE( GenericRocket );
		
								/*GenericRocket::*/GenericRocket();
		virtual void		Shoot( Event *ev );
	};

#endif /* genericrocket.h */
