#include <burger.h>
#include "config.h"
#include "proto.h"
#include <fcntl.h>
#include "useconfig.h"
#include "getargs.h"
#include "hplay.h"
#include "file.h"
#include "qcommon.h"

long samp_rate = 8000;
static char *au_file;
static FILE *au_fptr;

int file_init(int argc, char **argv)
{
 argc = getargs("File output", argc, argv,
                "o", "", &au_file,     "Sun/Next audio file name",
                NULL);
 if (help_only)
  return argc;

 if (au_file)
   {
   au_fptr = QuakeOpenAFile( au_file, "wb" );
   }
 return argc;
}

void file_write(int n,short * data)
{
   if ( au_fptr )
      fwrite( data, sizeof( short ), n, au_fptr );
}

void file_term()
{
   if ( au_fptr )
      fclose( au_fptr );
}
