
option expr32
option casemap:none

IFNDEF	ref_inc
ref_inc	EQU		1

; Begin of file ..\..\client\ref.h
	INCLUDE	qcommon.inc

	INCLUDE	sinmdl.inc

MAX_DLIGHTS		EQU		32t
MAX_ENTITIES		EQU		256t
MAX_PARTICLES		EQU		4096t
MAX_TRIANGLES		EQU		512t
POWERSUIT_SCALE		TEXTEQU		<4.0F>
SHELL_RED_COLOR		EQU		0000000f2h
SHELL_GREEN_COLOR		EQU		0000000d0h
SHELL_BLUE_COLOR		EQU		0000000f3h
SHELL_RG_COLOR		EQU		0000000dch
SHELL_RB_COLOR		EQU		000000086h
SHELL_BG_COLOR		EQU		000000078h
SHELL_WHITE_COLOR		EQU		0000000d7h
@t_AMD1_16		TYPEDEF		PTR @tag_AMD1_model_s
@t_AMD1_17		TYPEDEF		PTR @tag_AMD1_image_s
@t_AMD1_18		TYPEDEF		PTR @tag_AMD1_image_s
@tag_AMD1_entity_s		STRUCT 1t
model		@t_AMD1_16		?
angles		REAL4		3t DUP (?)
origin		REAL4		3t DUP (?)
frame		SDWORD		?
oldorigin		REAL4		3t DUP (?)
oldframe		SDWORD		?
backlerp		REAL4		?
skinnum		SDWORD		?
lightstyle		SDWORD		?
alpha		REAL4		?
skin		@t_AMD1_17		?
damageskin		@t_AMD1_18		?
flags		SDWORD		?
mat		REAL4		3t DUP (3t DUP (?))
parent		SDWORD		?
bone		bone_t		<>
real_entity_number		SDWORD		?
groups		BYTE		24t DUP (?)
oldanim		SDWORD		?
anim		SDWORD		?
scale		REAL4		?
color_r		REAL4		?
color_g		REAL4		?
color_b		REAL4		?
radius		SDWORD		?
lightofs		SDWORD		?
gravaxis		SDWORD		?
@tag_AMD1_entity_s		ENDS

entity_t		TYPEDEF		@tag_AMD1_entity_s

ENTITY_FLAGS		EQU		68t
@tag_AMD1_55		STRUCT 1t
origin		vec3_t		3t DUP (?)
color		vec3_t		3t DUP (?)
intensity		REAL4		?
@tag_AMD1_55		ENDS

dlight_t		TYPEDEF		@tag_AMD1_55

@tag_AMD1_56		STRUCT 1t
origin		vec3_t		3t DUP (?)
color		REAL4		4t DUP (?)
flags		BYTE		?
amdsize		REAL4		?
@tag_AMD1_56		ENDS

particle_t		TYPEDEF		@tag_AMD1_56

TRI_TWOSIDED		EQU		000000004h
TRI_MASKED		EQU		000000008h
TRI_ENVMAPPED		EQU		000000010h
TRI_WEAPONMODEL		EQU		000000020h
TRI_VERT_SIZE		EQU		8t
TRI_MAX_VERTS		EQU		00000000ch
@t_AMD1_19		TYPEDEF		PTR 
@tag_AMD1_57		STRUCT 1t
origin		vec3_t		3t DUP (?)
angles		vec3_t		3t DUP (?)
texture		@t_AMD1_19		?
alpha		REAL4		?
flags		SDWORD		?
surftype		SDWORD		?
num_tris		SDWORD		?
verts		REAL4		12t DUP (8t DUP (?))
@tag_AMD1_57		ENDS

triangle_t		TYPEDEF		@tag_AMD1_57

@tag_AMD1_58		STRUCT 1t
rgb		REAL4		4t DUP (?)
white		REAL4		?
rgbvalue		SDWORD		?
@tag_AMD1_58		ENDS

lightstyle_t		TYPEDEF		@tag_AMD1_58

@t_AMD1_20		TYPEDEF		PTR BYTE
@t_AMD1_21		TYPEDEF		PTR lightstyle_t
@t_AMD1_22		TYPEDEF		PTR entity_t
@t_AMD1_23		TYPEDEF		PTR dlight_t
@t_AMD1_24		TYPEDEF		PTR particle_t
@t_AMD1_25		TYPEDEF		PTR PTR triangle_t
@tag_AMD1_59		STRUCT 1t
x		SDWORD		?
y		SDWORD		?
AMD_width		SDWORD		?
height		SDWORD		?
fov_x		REAL4		?
fov_y		REAL4		?
vieworg		REAL4		3t DUP (?)
viewangles		REAL4		3t DUP (?)
blend		REAL4		4t DUP (?)
time		REAL4		?
rdflags		SDWORD		?
areabits		@t_AMD1_20		?
lightstyles		@t_AMD1_21		?
num_entities		SDWORD		?
entities		@t_AMD1_22		?
num_dlights		SDWORD		?
dlights		@t_AMD1_23		?
num_particles		SDWORD		?
particles		@t_AMD1_24		?
num_triangles		SDWORD		?
triangles		@t_AMD1_25		?
paused		qboolean		?
fovfactor		REAL4		?
@tag_AMD1_59		ENDS

refdef_t		TYPEDEF		@tag_AMD1_59

SIN_API_VERSION		EQU		1t
API_VERSION		EQU		000000041h
@proto_AMD1_291		TYPEDEF		PROTO STDCALL :PTR , :PTR 
@t_AMD1_26		TYPEDEF		PTR @proto_AMD1_291
@proto_AMD1_292		TYPEDEF		PROTO STDCALL 
@t_AMD1_27		TYPEDEF		PTR @proto_AMD1_292
@proto_AMD1_293		TYPEDEF		PROTO STDCALL :PTR SBYTE, :PTR csurface_t
@t_AMD1_28		TYPEDEF		PTR @proto_AMD1_293
@proto_AMD1_294		TYPEDEF		PROTO STDCALL :PTR SBYTE
@t_AMD1_29		TYPEDEF		PTR @proto_AMD1_294
@proto_AMD1_295		TYPEDEF		PROTO STDCALL :PTR SBYTE
@t_AMD1_30		TYPEDEF		PTR @proto_AMD1_295
@proto_AMD1_296		TYPEDEF		PROTO STDCALL :PTR SBYTE
@t_AMD1_31		TYPEDEF		PTR @proto_AMD1_296
@proto_AMD1_297		TYPEDEF		PROTO STDCALL :PTR SBYTE, :REAL4, :PTR REAL4
@t_AMD1_32		TYPEDEF		PTR @proto_AMD1_297
@proto_AMD1_298		TYPEDEF		PROTO STDCALL 
@t_AMD1_33		TYPEDEF		PTR @proto_AMD1_298
@proto_AMD1_299		TYPEDEF		PROTO STDCALL :PTR refdef_t
@t_AMD1_34		TYPEDEF		PTR @proto_AMD1_299
@proto_AMD1_300		TYPEDEF		PROTO STDCALL :PTR SDWORD, :PTR SDWORD, :PTR SBYTE
@t_AMD1_35		TYPEDEF		PTR @proto_AMD1_300
@proto_AMD1_301		TYPEDEF		PROTO STDCALL :SDWORD, :SDWORD, :PTR SBYTE
@t_AMD1_36		TYPEDEF		PTR @proto_AMD1_301
@proto_AMD1_302		TYPEDEF		PROTO STDCALL :SDWORD, :SDWORD, :SDWORD, :SDWORD, :PTR SBYTE
@t_AMD1_37		TYPEDEF		PTR @proto_AMD1_302
@proto_AMD1_303		TYPEDEF		PROTO STDCALL :SDWORD, :SDWORD, :SDWORD
@t_AMD1_38		TYPEDEF		PTR @proto_AMD1_303
@proto_AMD1_304		TYPEDEF		PROTO STDCALL :SDWORD, :SDWORD, :SDWORD, :SDWORD, :PTR SBYTE
@t_AMD1_39		TYPEDEF		PTR @proto_AMD1_304
@proto_AMD1_305		TYPEDEF		PROTO STDCALL :SDWORD, :SDWORD, :SDWORD, :SDWORD, :REAL4, :REAL4, :REAL4
@t_AMD1_40		TYPEDEF		PTR @proto_AMD1_305
@proto_AMD1_306		TYPEDEF		PROTO STDCALL :REAL4, :REAL4, :REAL4, :REAL4
@t_AMD1_41		TYPEDEF		PTR @proto_AMD1_306
@proto_AMD1_307		TYPEDEF		PROTO STDCALL 
@t_AMD1_42		TYPEDEF		PTR @proto_AMD1_307
@proto_AMD1_308		TYPEDEF		PROTO STDCALL 
@t_AMD1_43		TYPEDEF		PTR @proto_AMD1_308
@proto_AMD1_309		TYPEDEF		PROTO STDCALL :SDWORD, :SDWORD, :SDWORD, :SDWORD, :SDWORD, :SDWORD, :SDWORD, :PTR WORD
@t_AMD1_44		TYPEDEF		PTR @proto_AMD1_309
@proto_AMD1_310		TYPEDEF		PROTO STDCALL :SDWORD, :SDWORD, :SDWORD, :SDWORD, :SDWORD, :SDWORD, :PTR BYTE
@t_AMD1_45		TYPEDEF		PTR @proto_AMD1_310
@proto_AMD1_311		TYPEDEF		PROTO STDCALL :PTR BYTE
@t_AMD1_46		TYPEDEF		PTR @proto_AMD1_311
@proto_AMD1_312		TYPEDEF		PROTO STDCALL :REAL4
@t_AMD1_47		TYPEDEF		PTR @proto_AMD1_312
@proto_AMD1_313		TYPEDEF		PROTO STDCALL 
@t_AMD1_48		TYPEDEF		PTR @proto_AMD1_313
@proto_AMD1_314		TYPEDEF		PROTO STDCALL :qboolean
@t_AMD1_49		TYPEDEF		PTR @proto_AMD1_314
@proto_AMD1_315		TYPEDEF		PROTO STDCALL :PTR @tag_AMD1_model_s
@t_AMD1_50		TYPEDEF		PTR @proto_AMD1_315
@proto_AMD1_316		TYPEDEF		PROTO STDCALL :REAL4, :REAL4, :SDWORD, :SDWORD, :SDWORD, :REAL4, :REAL4, :REAL4, :REAL4
@t_AMD1_51		TYPEDEF		PTR @proto_AMD1_316
@proto_AMD1_317		TYPEDEF		PROTO STDCALL :REAL4, :REAL4, :PTR SBYTE, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4
@t_AMD1_52		TYPEDEF		PTR @proto_AMD1_317
@proto_AMD1_318		TYPEDEF		PROTO STDCALL :REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4
@t_AMD1_53		TYPEDEF		PTR @proto_AMD1_318
@proto_AMD1_319		TYPEDEF		PROTO STDCALL :REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :REAL4
@t_AMD1_54		TYPEDEF		PTR @proto_AMD1_319
@proto_AMD1_320		TYPEDEF		PROTO STDCALL :REAL4, :REAL4, :REAL4, :REAL4, :PTR SBYTE, :REAL4, :REAL4, :REAL4, :REAL4
@t_AMD1_55		TYPEDEF		PTR @proto_AMD1_320
@proto_AMD1_321		TYPEDEF		PROTO STDCALL :REAL4, :REAL4, :REAL4, :REAL4, :PTR SBYTE, :REAL4, :REAL4, :REAL4, :REAL4
@t_AMD1_56		TYPEDEF		PTR @proto_AMD1_321
@proto_AMD1_322		TYPEDEF		PROTO STDCALL :PTR entity_t, :PTR triangle_t, :SDWORD, :SDWORD, :SDWORD, :SDWORD, :PTR REAL4
@t_AMD1_57		TYPEDEF		PTR @proto_AMD1_322
@proto_AMD1_323		TYPEDEF		PROTO STDCALL :PTR REAL4, :PTR REAL4, :SDWORD
@t_AMD1_58		TYPEDEF		PTR @proto_AMD1_323
@proto_AMD1_324		TYPEDEF		PROTO STDCALL :PTR REAL4, :PTR REAL4, :PTR SBYTE, :REAL4, :REAL4
@t_AMD1_59		TYPEDEF		PTR @proto_AMD1_324
@proto_AMD1_325		TYPEDEF		PROTO STDCALL :PTR REAL4, :PTR REAL4, :REAL4, :REAL4, :REAL4, :REAL4, :SDWORD
@t_AMD1_60		TYPEDEF		PTR @proto_AMD1_325
@proto_AMD1_326		TYPEDEF		PROTO STDCALL :PTR entity_t
@t_AMD1_61		TYPEDEF		PTR @proto_AMD1_326
@tag_AMD1_60		STRUCT 1t
api_version		SDWORD		?
Init		@t_AMD1_26		?
Shutdown		@t_AMD1_27		?
BeginRegistration		@t_AMD1_28		?
RegisterModel		@t_AMD1_29		?
RegisterSkin		@t_AMD1_30		?
RegisterPic		@t_AMD1_31		?
SetSky		@t_AMD1_32		?
EndRegistration		@t_AMD1_33		?
RenderFrame		@t_AMD1_34		?
DrawGetPicSize		@t_AMD1_35		?
DrawPic		@t_AMD1_36		?
DrawStretchPic		@t_AMD1_37		?
DrawChar		@t_AMD1_38		?
DrawTileClear		@t_AMD1_39		?
DrawFill		@t_AMD1_40		?
DrawFadeScreen		@t_AMD1_41		?
BeginCinematic		@t_AMD1_42		?
EndCinematic		@t_AMD1_43		?
DrawCinematicFrame		@t_AMD1_44		?
DrawStretchRaw		@t_AMD1_45		?
CinematicSetPalette		@t_AMD1_46		?
BeginFrame		@t_AMD1_47		?
EndFrame		@t_AMD1_48		?
AppActivate		@t_AMD1_49		?
SINMDL_GetDefHandle		@t_AMD1_50		?
DrawChar3D		@t_AMD1_51		?
DrawPic3D		@t_AMD1_52		?
DrawFill3D		@t_AMD1_53		?
DrawAltFill3D		@t_AMD1_54		?
DrawStretchPic3D		@t_AMD1_55		?
DrawTilePic3D		@t_AMD1_56		?
TesselateModel		@t_AMD1_57		?
BurnLightmap		@t_AMD1_58		?
ApplyDecal		@t_AMD1_59		?
SplatterWalls		@t_AMD1_60		?
GetNumFrames		@t_AMD1_61		?
@tag_AMD1_60		ENDS

refexport_t		TYPEDEF		@tag_AMD1_60

@proto_AMD1_327		TYPEDEF		PROTO STDCALL :SDWORD
GetRefAPI_t		TYPEDEF		PTR @proto_AMD1_327

; End of file ..\..\client\ref.h

ENDIF

